Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.system.pm
Interface AttributePersistenceServiceMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Implementing Classes:
  AttributePersistenceService

public interface AttributePersistenceServiceMBean
extends ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`org.jboss.mx.persistence.AttributePersistenceManager` | `apmCreate()`
`boolean` | `apmExists(String id)`
`String[]` | `apmListAll()`
`String` | `apmListAllAsString()`
`void` | `apmRemove(String id)`
`void` | `apmRemoveAll()`
`boolean` | `getApmDestroyOnServiceStop()`
`String` | `getAttributePersistenceManagerClass()`
`Element` | `getAttributePersistenceManagerConfig()`
`String` | `getVersionTag()`
`void` | `setApmDestroyOnServiceStop(boolean apmDestroyOnStop)`
`void` | `setAttributePersistenceManagerClass(String apmClass)`
`void` | `setAttributePersistenceManagerConfig(Element apmConfig)`
`void` | `setVersionTag(String versionTag)`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getVersionTag

    public String getVersionTag()

### setVersionTag

    public void setVersionTag(String versionTag)

### getAttributePersistenceManagerClass

    public String getAttributePersistenceManagerClass()

### setAttributePersistenceManagerClass

    public void setAttributePersistenceManagerClass(String apmClass)

### getAttributePersistenceManagerConfig

    public Element getAttributePersistenceManagerConfig()

### setAttributePersistenceManagerConfig

    public void setAttributePersistenceManagerConfig(Element apmConfig)

### getApmDestroyOnServiceStop

    public boolean getApmDestroyOnServiceStop()

### setApmDestroyOnServiceStop

    public void setApmDestroyOnServiceStop(boolean apmDestroyOnStop)

### apmCreate

    public org.jboss.mx.persistence.AttributePersistenceManager apmCreate()

### apmExists

    public boolean apmExists(String id)
                      throws Exception

  Throws:
    `Exception`

### apmRemove

    public void apmRemove(String id)
                   throws Exception

  Throws:
    `Exception`

### apmRemoveAll

    public void apmRemoveAll()
                      throws Exception

  Throws:
    `Exception`

### apmListAll

    public String[] apmListAll()
                        throws Exception

  Throws:
    `Exception`

### apmListAllAsString

    public String apmListAllAsString()
                              throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.